@import "global";

section {
  position: relative;
  min-height: 100vh;
  width: 100%;
  padding: 0;

  &:first-of-type {
    min-height: 100%;
  }

  > div.section-content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    padding-top: 50px;

    @media (max-width: $mobile-bp) {
      padding-top: 0;
    }

    .section-title {
      font-size: 8rem;
      height: max-content;

      @media (max-width: $mobile-bp) {
        font-size: 3rem;
      }
    }
  }
}

.hr {
  width: 100%;
  height: 2px;
  margin: 5% 0;
  background: $whitest_white;
}

.page-down {
  width: 70px;
  height: 70px;
  position: absolute;
  bottom: 6vh;
  left: 50%;
  transform: translateX(-50%) translateY(0px) scale(1);
  transition-property: translateX, translateY, scale;
  transition: 0ms, 2000ms, 300ms;
  transition-timing-function: ease-out;

  @media (max-width: $mobile-bp) {
    bottom: 30px;
  }

  img {
    width: 100%;
    height: 100%;
  }

  &.loop {
    animation: bounce 5500ms infinite 5000ms;
  }

  &:hover {
    animation: none;
    transform: translateX(-50%) scale(1.3);
    transition: 300ms transform ease-out;
  }

  &.out {
    animation: none;
    transform: translateX(-50%) translateY(-10px) scale(1);
  }
}

/**
 * Raw animation:
 * 0%   { transform: translateY(0); }
 * 20%  { transform: translateY(0); }
 * 40%  { transform: translateY(-20px); }
 * 50%  { transform: translateY(0); }
 * 60%  { transform: translateY(-10px); }
 * 80%  { transform: translateY(0); }
 * 100% { transform: translateY(0); }
 *
 * Animation pause added with http://waitanimate.wstone.io/#!/
 */
@keyframes bounce {
  0%        {  transform: translateX(-50%) translateY(0); }
  7.27273%  {  transform: translateX(-50%) translateY(0); }
  14.54545% {  transform: translateX(-50%) translateY(-20px); }
  18.18182% {  transform: translateX(-50%) translateY(0); }
  21.81818% {  transform: translateX(-50%) translateY(-10px); }
  29.09091% {  transform: translateX(-50%) translateY(0); }
  36.36364% {  transform: translateX(-50%) translateY(0); }
  100%      {  transform: translateX(-50%) translateY(0); }
}

.logo-sm {
  display: inline-block;
  height: 40px;
  width: 40px;
  overflow: hidden;
  transition: all 300ms ease-out;

  img {
    border-radius: 2px;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center;
  }

  &.logo-gitlab {
    transform: scale(1.7);
  }

  &.logo-linkedin {
    width: 43px;
  }
}

.logo-hover {

	&:hover {
		transform: scale(1.1);
		transition: all 300ms ease-out;
	}

	&.logo-gitlab:hover {
		transform: scale(1.9);
	}
}

.bloodburst {
	background: $blood_burst !important;
}

.deep-midnight {
	background: $deep_midnight !important;;
}

.aqua-vitale {
	background: $aqua_vitale !important;;
}

.whitest-white {
	background: $whitest_white !important;;
}

@import "header";
@import "home";
@import "projects";
@import "contact";
